List all macros
Every macro the caller can run: all global macros in the account, plus the caller’s own personal ones. Another user’s personal macros are never returned.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
macros
List all macros
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/macros \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/macros"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/macros', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/macros")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/macros"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"name": "Ask for order details",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "send_message",
"action_params": [
"Happy to look into that. Could you send the order number and the email address the order was placed with?"
]
},
{
"action_name": "add_label",
"action_params": [
"needs-reply"
]
}
]
},
{
"id": 2,
"name": "Escalate to Technical support",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "add_private_note",
"action_params": [
"Escalated from the front line -- the customer has already tried the steps in the troubleshooting article."
]
},
{
"action_name": "assign_team",
"action_params": [
3
]
}
]
}
]
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
The macro list is wrapped in a payload key.
The macros the caller can run.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List all macros
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/macros \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/macros"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/macros', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/macros")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/macros"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"name": "Ask for order details",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "send_message",
"action_params": [
"Happy to look into that. Could you send the order number and the email address the order was placed with?"
]
},
{
"action_name": "add_label",
"action_params": [
"needs-reply"
]
}
]
},
{
"id": 2,
"name": "Escalate to Technical support",
"visibility": "global",
"created_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"updated_by": {
"id": 1,
"account_id": 1,
"availability_status": "offline",
"auto_offline": true,
"confirmed": true,
"email": "you@example.com",
"provider": "email",
"available_name": "Alex Rivera",
"name": "Alex Rivera",
"role": "administrator",
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"avatar_url": "",
"illustration_avatar": true,
"accent_color": null,
"custom_role_id": null
},
"account_id": 1,
"actions": [
{
"action_name": "add_private_note",
"action_params": [
"Escalated from the front line -- the customer has already tried the steps in the troubleshooting article."
]
},
{
"action_name": "assign_team",
"action_params": [
3
]
}
]
}
]
}{
"error": "Resource could not be found"
}